/*
** pat_pad.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:48:21 1999 
** Last update Thu Oct 28 20:21:12 1999 
*/
#ifndef PAT_PAD_H
#define PAT_PAD_H	1

#include "pat.h"

extern t_u32		pat_pad_nbytes;
extern t_pat		*pat_pad_sub_pat;

extern t_pat		pad_pat;

/* PROTO pat_pad.c */
/* pat_pad.c */
t_status pad_format_do P((t_bridled_str *bs, char *var, int i));
t_status pad_format P((int i, char *tmpl_str, char *str, int max_len));
t_status pad_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status pad_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status pad_pat_off P((void *data, char *buf, int len, t_off *off_return));
t_status pad_pat_sub P((void *data, t_id *optional_id, char *buf, int len, t_pat **pat_return));
#endif
